Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class PerforceRepositoryFacade

    java.lang.Object
      com.pmease.quickbuild.repository.PerforceRepositoryFacade

All Implemented Interfaces:
  java.io.Serializable

public class PerforceRepositoryFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for PerforceRepository. Perforce adaptor

See Also:
  Serialized Form

Constructor Summary
`PerforceRepositoryFacade()`

Method Summary
`java.lang.String` | `getLineEnd()` OGNL: Set line ending character(s) for client text files.
`java.lang.String` | `getLoginMappingName()` Choose login mapping for this repository.
`java.util.List` | `getModules()`
`java.lang.String` | `getName()` Provide a name for this repository.
`java.lang.String` | `getP4ExePath()` OGNL: Specify path to your p4 executable file, for example: /usr/local/bin/p4.
`java.lang.String` | `getPassword()` OGNL: Password for the above user.
`java.lang.String` | `getPort()` OGNL: The Perforce port in the format of <port>, or <servername>:<port>, where <servername> and <port> will be replaced by the actual Perforce server name and the port number.
`long` | `getQuietPeriod()` Number of seconds current repository should be quiet (without checkins) before QuickBuild decides to check out the code from this repository for a build.
`java.lang.String` | `getUser()` OGNL: User name to access the above Perforce server.
`void` | `setLineEnd(java.lang.String lineEnd)`
`void` | `setLoginMappingName(java.lang.String loginMappingName)`
`void` | `setModules(java.util.List modules)`
`void` | `setName(java.lang.String name)`
`void` | `setP4ExePath(java.lang.String p4ExePath)`
`void` | `setPassword(java.lang.String password)`
`void` | `setPort(java.lang.String port)`
`void` | `setQuietPeriod(long quietPeriod)`
`void` | `setUser(java.lang.String user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerforceRepositoryFacade

    public PerforceRepositoryFacade()

Method Detail

### getPort

    public java.lang.String getPort()

  OGNL: The Perforce port in the format of <port>, or <servername>:<port>, where <servername> and <port> will be replaced by the actual Perforce server name and the port number.

### setPort

    public void setPort(java.lang.String port)

### getUser

    public java.lang.String getUser()

  OGNL: User name to access the above Perforce server. This user should have the rights to create and edit client specifications and to checkout and label code.

### setUser

    public void setUser(java.lang.String user)

### getPassword

    public java.lang.String getPassword()

  OGNL: Password for the above user. Can be blank, if your Perforce server does not use password based security.

### setPassword

    public void setPassword(java.lang.String password)

### getLineEnd

    public java.lang.String getLineEnd()

  OGNL: Set line ending character(s) for client text files.
  local: use mode native to the client
  unix: UNIX style mac: Macintosh style
  win: Windows style
  share: writes UNIX style but reads UNIX, Mac or Windows style

### setLineEnd

    public void setLineEnd(java.lang.String lineEnd)

### getP4ExePath

    public java.lang.String getP4ExePath()

  OGNL: Specify path to your p4 executable file, for example: /usr/local/bin/p4. It should be specified here, if it does not exist in the system path.

### setP4ExePath

    public void setP4ExePath(java.lang.String p4ExePath)

### getQuietPeriod

    public long getQuietPeriod()

  Number of seconds current repository should be quiet (without checkins) before QuickBuild decides to check out the code from this repository for a build. This is used to avoid checking out code in the middle of some other checkins. This property is optional. When set as 0, quiet period will not be used before checking out code to build.

### setQuietPeriod

    public void setQuietPeriod(long quietPeriod)

### getName

    public java.lang.String getName()

  Provide a name for this repository.

### setName

    public void setName(java.lang.String name)

### getModules

    public java.util.List getModules()

### setModules

    public void setModules(java.util.List modules)

### getLoginMappingName

    public java.lang.String getLoginMappingName()

  Choose login mapping for this repository. Login mapping is used to map repository login to QuickBuild user. It can be configured at \"login mappings\" tab of the configuration.

### setLoginMappingName

    public void setLoginMappingName(java.lang.String loginMappingName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.